Skip to main content
POST
/
api
/
sol
/
transfer
curl --request POST \ --url https://public.raze.sh/api/sol/transfer \ --header 'Content-Type: application/json' \ --data ' { "sender": "62ThHC1rs2GUfa8J4Qjcj5GD2MSL2d65pcJtenNieDnm", "receiver": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU", "amount": 1.5, "feeTipLamports": 1000000 } '
{
  "success": true,
  "transactions": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.raze.bot/llms.txt

Use this file to discover all available pages before exploring further.

Body

application/json
sender
string
required

Sender wallet public key

Example:

"62ThHC1rs2GUfa8J4Qjcj5GD2MSL2d65pcJtenNieDnm"

receiver
string
required

Receiver wallet address

Example:

"7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU"

amount
required

Amount in SOL or token units

Example:

1.5

tokenAddress
string

SPL token mint address. Omit for native SOL transfer.

Example:

"DezXAZ8z7PnrnRJjz3wXBoRgixCa6xjnB7YaB1pPB263"

feeTipLamports
number
Example:

1000000

encoding
enum<string>
default:base58
Available options:
base58,
base64

Response

Transfer transaction generated

success
boolean
required
Example:

true

transactions
string[]
required

Serialized transactions to be signed and submitted